# Interface ICefSharedProcessMessageBuilder

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefSharedProcessMessageBuilder = interface(ICefBaseRefCounted)`

## Description

Interface that builds a ICefProcessMessage containing a shared memory region. This interface is not thread-safe but may be used exclusively on a different thread from the one which constructed it.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_shared_process_message_builder_capi.h">CEF source file: /include/capi/cef_shared_process_message_builder_capi.h (cef_shared_process_message_builder_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefSharedProcessMessageBuilder

## Overview

### Methods

| `function IsValid: boolean;`
| `function Size: NativeUInt;`
| `function Memory: pointer;`
| `function Build: ICefProcessMessage;`

## Description

### Methods

| `function IsValid: boolean;`
Returns true (1) if the builder is valid. ###### Attributes GUID['{B2AF627F-33FA-44F1-B943-FC4F120C84F8}']

| `function Size: NativeUInt;`
Returns the size of the shared memory region in bytes. Returns 0 for invalid instances.

| `function Memory: pointer;`
Returns the pointer to the writable memory. Returns nullptr for invalid instances. The returned pointer is only valid for the life span of this object.

| `function Build: ICefProcessMessage;`
Creates a new ICefProcessMessage from the data provided to the builder. Returns nullptr for invalid instances. Invalidates the builder instance.

Generated by PasDoc 0.16.0-snapshot.